package com.logicbig.example;

import org.glassfish.jersey.message.internal.ReaderWriter;

import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;

public class MyClient2 {
    public static void main(String[] args) throws Exception {
        final URL url = new URL("http://localhost:8080/test");
        final HttpURLConnection connection = (HttpURLConnection) url.openConnection();

        connection.setRequestMethod("GET");
        connection.setRequestProperty("myHeader", "a");
        connection.addRequestProperty("myHeader", "b");

        connection.setDoOutput(false);
        connection.connect();

        String s = ReaderWriter.readFromAsString(new InputStreamReader(connection.getInputStream()));

        System.out.println(s);
    }
}